## visad
Class FieldEnumerator

    java.lang.Object
      visad.FieldEnumerator

All Implemented Interfaces:
  Enumeration

class FieldEnumerator
extends Object
implements Enumeration

Field Summary
`(package private) CoordinateSystem` `coordinateSystem`
`(package private) int` `dimension`
`(package private) Field` `field`
`(package private) int[]` `index`
`(package private) RealTupleType` `type`
`(package private) RealType[]` `types`
`(package private) Unit[]` `units`

Constructor Summary
`(package private)` `FieldEnumerator(Field f)`

Method Summary
`boolean` `hasMoreElements()`
`Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### field

    Field field

### index

    int[] index

### dimension

    int dimension

### type

    RealTupleType type

### coordinateSystem

    CoordinateSystem coordinateSystem

### types

    RealType[] types

### units

    Unit[] units

Constructor Detail

### FieldEnumerator

    FieldEnumerator(Field f)
              throws VisADException,
                     RemoteException

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration`

### nextElement

    public Object nextElement()
                       throws NoSuchElementException

  Specified by:
    `nextElement` in interface `Enumeration`
  Throws:
    `NoSuchElementException`